Subject: Re: [PATCH 1/2] misc: lan966x_pci: Fix dtc warns 'missing or empty reg/ranges property'

From: Herve Codina <[email-masked]>
Date: Tue, 29 Oct 2024 08:26:40 +0100

On Mon, 28 Oct 2024 14:52:09 -0500
Rob Herring <[email-masked]> wrote:

> On Mon, Oct 28, 2024 at 12:43 PM Herve Codina <[email-masked]> wrote:
> >
> > Hi Rob,
> >
> > On Mon, 28 Oct 2024 08:55:24 -0500
> > Rob Herring <[email-masked]> wrote:
> >  
> > > On Mon, Oct 28, 2024 at 7:24 AM Herve Codina <[email-masked]> wrote:  
> > > >
> > > > dtc generates the following warnings when building the LAN966x device
> > > > tree overlay (lan966x_pci.dtso):
> > > >   Warning (simple_bus_reg): /fragment@0/__overlay__/pci-ep-bus@0/cpu_clk: missing or empty reg/ranges property
> > > >   Warning (simple_bus_reg): /fragment@0/__overlay__/pci-ep-bus@0/ddr_clk: missing or empty reg/ranges property
> > > >   Warning (simple_bus_reg): /fragment@0/__overlay__/pci-ep-bus@0/sys_clk: missing or empty reg/ranges property
> > > >
> > > > Indeed, related nodes are under the pci-ep-bus (simple-bus) which is not
> > > > correct.
> > > >
> > > > Put them outside this node.
> > > >
> > > > Reported-by: Stephen Rothwell <[email-masked]>
> > > > Closes: https://lore.kernel.org/all/[email-masked]/
> > > > Fixes: 185686beb464 ("misc: Add support for LAN966x PCI device")
> > > > Signed-off-by: Herve Codina <[email-masked]>
> > > > ---
> > > > The referenced commit is in the reset tree
> > > > ---
> > > >  drivers/misc/lan966x_pci.dtso | 36 +++++++++++++++++------------------
> > > >  1 file changed, 18 insertions(+), 18 deletions(-)
> > > >
> > > > diff --git a/drivers/misc/lan966x_pci.dtso b/drivers/misc/lan966x_pci.dtso
> > > > index 7282687df25f..5466d013da7d 100644
> > > > --- a/drivers/misc/lan966x_pci.dtso
> > > > +++ b/drivers/misc/lan966x_pci.dtso
> > > > @@ -19,6 +19,24 @@ __overlay__ {
> > > >                         #address-cells = <3>;
> > > >                         #size-cells = <2>;
> > > >
> > > > +                       cpu_clk: cpu_clk {  
> > >
> > > Preferred node name is "clock-<freq-in-hz>"  
> >
> > I based the name on the lan966x.dtsi
> > https://elixir.bootlin.com/linux/v6.12-rc1/source/arch/arm/boot/dts/microchip/lan966x.dtsi#L38  
> 
> That should be fixed too.
> 
> > Of course, I can rename the cpu_clk, ddr_clk and sys_clk nodes but this will create
> > a difference against lan966x.dtsi on some points that should be identical.  
> 
> Then maybe they should be sharing a .dtsi?
> 
> > Let me know with that in mind if I need to rename those nodes in this series.  
> 
> Yes, easier now than later.

Right, I will rename in v2.

Best regards,
Hervé